=== modified file 'debian/changelog'
--- debian/changelog	2009-06-12 14:30:25 +0000
+++ debian/changelog	2010-03-16 03:23:44 +0000
@@ -1,3 +1,20 @@
+mirage (0.9.3-5) unstable; urgency=low
+
+  * Fix dh_pysupport call, so only python-support controlled files are
+    installed (Closes: #566038)
+  * Fix half-selected images (Closes: #536285). Thanks to Evgeni Golov patch
+  * Provide a mirage menu item (Closes: #550023)
+  * Add XDG base directory specification support (Closes: #535816). 
+    Thanks to Jakub Wilk <ubanus@users.sf.net> patch
+  * Add suggest gimp, imagemagick, menu (Closes: #535822)
+  * By default, Ctrl+E is bound to the gimp-remote-2.4 command, which is no 
+    longer available in sid (Closes: #535817)
+    Thanks to Jakub Wilk <ubanus@users.sf.net> patch
+  * Switch to dpkg-source 3.0 (quilt) format
+  * Bump Standards-Version to 3.8.4
+
+ -- Xavier Oswald <xoswald@debian.org>  Wed, 10 Feb 2010 00:29:30 +0100
+
 mirage (0.9.3-4) unstable; urgency=low
 
   * Remove forgotten DM flag

=== modified file 'debian/control'
--- debian/control	2009-06-12 14:30:25 +0000
+++ debian/control	2010-02-10 00:29:30 +0000
@@ -2,14 +2,15 @@
 Section: graphics
 Priority: extra
 Maintainer: Xavier Oswald <xoswald@debian.org>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), python-support (>= 0.7.6), python-dev (>= 2.5), python-gtk2-dev
-Standards-Version: 3.8.1
+Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7), python-support (>= 0.7.6), python-dev (>= 2.5), python-gtk2-dev, quilt
+Standards-Version: 3.8.4
 Homepage: http://mirageiv.berlios.de/
-XS-Python-Version: current
+XS-Python-Version: 2.5
 
 Package: mirage
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-gtk2
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-gtk2
+Suggests: gimp, imagemagick, menu
 Description: fast and simple GTK+ image viewer
  Mirage is ideal for users who wish to keep their computers
  lean while still having a clean image viewer.

=== added file 'debian/menu'
--- debian/menu	1970-01-01 00:00:00 +0000
+++ debian/menu	2010-02-10 00:29:30 +0000
@@ -0,0 +1,6 @@
+?package(mirage):\
+  needs="X11"\
+  section="Applications/Viewers"\
+  title="Mirage"\
+  longtitle="Mirage image viewer"\
+  command="mirage"

=== added directory 'debian/patches'
=== added file 'debian/patches/.dpkg-source-applied'
--- debian/patches/.dpkg-source-applied	1970-01-01 00:00:00 +0000
+++ debian/patches/.dpkg-source-applied	2010-02-10 00:29:30 +0000
@@ -0,0 +1,3 @@
+xdg_specification.patch
+halfSelected.patch
+remove_gimp_remote.patch

=== added file 'debian/patches/halfSelected.patch'
--- debian/patches/halfSelected.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/halfSelected.patch	2010-02-10 00:29:30 +0000
@@ -0,0 +1,12 @@
+# mirage loads a cached image and does not update self.currimg_name.
+# Author: Evgeni Golov <evgeni@debian.org>
+--- a/mirage.py
++++ b/mirage.py
+@@ -3892,6 +3892,7 @@
+ 				self.last_image_action_was_smart_fit = False
+ 			elif self.open_mode == self.open_mode_1to1 or (self.open_mode == self.open_mode_last and self.last_mode == self.open_mode_1to1):
+ 				self.last_image_action_was_fit = False
++			self.currimg_name = str(self.image_list[self.curr_img_in_list])
+ 		else:
+ 			# Need to load the current image
+ 			self.currimg_pixbuf = None

=== added file 'debian/patches/remove_gimp_remote.patch'
--- debian/patches/remove_gimp_remote.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/remove_gimp_remote.patch	2010-02-10 00:29:30 +0000
@@ -0,0 +1,16 @@
+# By default, Ctrl+E is bound to the gimp-remote-2.4 command, which is no 
+# longer available in sid.
+# Author: Jakub Wilk <ubanus@users.sf.net>.
+Index: mirage-0.9.3/mirage.py
+===================================================================
+--- mirage-0.9.3.orig/mirage.py	2010-02-09 23:20:50.000000000 +0100
++++ mirage-0.9.3/mirage.py	2010-02-09 23:21:53.000000000 +0100
+@@ -150,7 +150,7 @@
+ 		self.preloading_images = True
+ 		self.action_names = ["Open in GIMP", "Create Thumbnail", "Create Thumbnails", "Move to Favorites"]
+ 		self.action_shortcuts = ["<Control>e", "<Alt>t", "<Control><Alt>t", "<Control><Alt>f"]
+-		self.action_commands = ["gimp-remote-2.4 %F", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "mkdir -p ~/mirage-favs; mv %F ~/mirage-favs; [NEXT]"]
++		self.action_commands = ["gimp %F &", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "mkdir -p ~/mirage-favs; mv %F ~/mirage-favs; [NEXT]"]
+ 		self.action_batch = [False, False, True, False]
+ 		self.onload_cmd = None
+ 		self.searching_for_images = False

=== added file 'debian/patches/series'
--- debian/patches/series	1970-01-01 00:00:00 +0000
+++ debian/patches/series	2010-02-10 00:29:30 +0000
@@ -0,0 +1,3 @@
+xdg_specification.patch
+halfSelected.patch
+remove_gimp_remote.patch

=== added file 'debian/patches/xdg_specification.patch'
--- debian/patches/xdg_specification.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/xdg_specification.patch	2010-02-10 00:29:30 +0000
@@ -0,0 +1,60 @@
+# Mirage is currently using ~/.config/mirage/ directory to store its 
+# configuration files, which is in the spirit of XDG Base Directory 
+# Specification. The attached patches makes mirage to actually follow 
+# the specification, i.e. to respect the $XDG_CONFIG_HOME variable.
+# Author Jakub Wilk <ubanus@users.sf.net>
+Index: mirage-0.9.3/mirage.py
+===================================================================
+--- mirage-0.9.3.orig/mirage.py	2010-02-09 23:25:29.000000000 +0100
++++ mirage-0.9.3/mirage.py	2010-02-09 23:28:47.000000000 +0100
+@@ -53,6 +53,8 @@
+ if gtk.pygtk_version < (2, 6, 0):
+ 	sys.stderr.write("Mirage requires PyGTK 2.6.0 or newer.\n")
+ 	sys.exit(1)
++
++config_dir = (os.getenv('XDG_CONFIG_HOME') or os.path.expanduser('~/.config')) + '/mirage'
+ 	
+ def valid_int(inputstring):
+ 	try:
+@@ -204,8 +206,8 @@
+ 
+ 		# Load config from disk:
+ 		conf = ConfigParser.ConfigParser()
+-		if os.path.isfile(os.path.expanduser('~/.config/mirage/miragerc')):
+-			conf.read(os.path.expanduser('~/.config/mirage/miragerc'))
++		if os.path.isfile(config_dir + '/miragerc'):
++			conf.read(config_dir + '/miragerc')
+ 		elif os.path.isfile(os.path.expanduser('~/.miragerc')):
+ 			conf.read(os.path.expanduser('~/.miragerc'))
+ 			os.remove(os.path.expanduser('~/.miragerc'))
+@@ -297,8 +299,8 @@
+ 		self.curr_slideshow_random = self.slideshow_random
+ 
+ 		# Read accel_map file, if it exists
+-		if os.path.isfile(os.path.expanduser('~/.config/mirage/accel_map')):
+-			gtk.accel_map_load(os.path.expanduser('~/.config/mirage/accel_map'))
++		if os.path.isfile(config_dir + '/accel_map'):
++			gtk.accel_map_load(config_dir + '/accel_map')
+ 			
+ 		self.blank_image = gtk.gdk.pixbuf_new_from_file(self.find_path("mirage_blank.png"))
+ 
+@@ -1465,15 +1467,12 @@
+ 		for i in range(len(self.recentfiles)):
+ 			conf.set('recent', 'num[' + str(i) + ']', len(self.recentfiles[i]))
+ 			conf.set('recent', 'urls[' + str(i) + ',0]', self.recentfiles[i])
+-		if not os.path.exists(os.path.expanduser('~/.config/')):
+-			os.mkdir(os.path.expanduser('~/.config/'))
+-		if not os.path.exists(os.path.expanduser('~/.config/mirage/')):
+-			os.mkdir(os.path.expanduser('~/.config/mirage/'))
+-		conf.write(file(os.path.expanduser('~/.config/mirage/miragerc'), 'w'))
++		if not os.path.exists(config_dir):
++			os.makedirs(config_dir)
++		conf.write(file(config_dir + '/miragerc', 'w'))
+ 
+ 		# Also, save accel_map:
+-		gtk.accel_map_save(os.path.expanduser('~/.config/mirage/accel_map'))
+-
++		gtk.accel_map_save(config_dir + '/accel_map')
+ 		return
+ 
+ 	def delete_event(self, widget, event, data=None):

=== modified file 'debian/rules'
--- debian/rules	2009-06-12 14:30:25 +0000
+++ debian/rules	2010-03-16 03:23:44 +0000
@@ -5,13 +5,14 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 PYTHONVER = 2.5
 DEB_CONFIGURE_EXTRA_FLAGS := --no-compile --prefix $(DEB_DESTDIR)/usr --install-layout=deb
 
 binary-install/mirage::
+	/usr/bin/python setup.py install $(DEB_CONFIGURE_EXTRA_FLAGS)
 	dh_pysupport -pmirage
-	/usr/bin/python setup.py install $(DEB_CONFIGURE_EXTRA_FLAGS)
 	dh_installman debian/mirage.1
 	rm -f $(DEB_DESTDIR)/usr/share/mirage/COPYING
 	rm -f $(DEB_DESTDIR)/usr/share/mirage/README

=== added directory 'debian/source'
=== added file 'debian/source/format'
--- debian/source/format	1970-01-01 00:00:00 +0000
+++ debian/source/format	2010-02-10 00:29:30 +0000
@@ -0,0 +1,1 @@
+3.0 (quilt)

=== modified file 'mirage.py'
--- mirage.py	2008-06-05 12:48:37 +0000
+++ mirage.py	2010-02-10 00:29:30 +0000
@@ -53,6 +53,8 @@
 if gtk.pygtk_version < (2, 6, 0):
 	sys.stderr.write("Mirage requires PyGTK 2.6.0 or newer.\n")
 	sys.exit(1)
+
+config_dir = (os.getenv('XDG_CONFIG_HOME') or os.path.expanduser('~/.config')) + '/mirage'
 	
 def valid_int(inputstring):
 	try:
@@ -150,7 +152,7 @@
 		self.preloading_images = True
 		self.action_names = ["Open in GIMP", "Create Thumbnail", "Create Thumbnails", "Move to Favorites"]
 		self.action_shortcuts = ["<Control>e", "<Alt>t", "<Control><Alt>t", "<Control><Alt>f"]
-		self.action_commands = ["gimp-remote-2.4 %F", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "mkdir -p ~/mirage-favs; mv %F ~/mirage-favs; [NEXT]"]
+		self.action_commands = ["gimp %F &", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "convert %F -thumbnail 150x150 %Pt_%N.jpg", "mkdir -p ~/mirage-favs; mv %F ~/mirage-favs; [NEXT]"]
 		self.action_batch = [False, False, True, False]
 		self.onload_cmd = None
 		self.searching_for_images = False
@@ -204,8 +206,8 @@
 
 		# Load config from disk:
 		conf = ConfigParser.ConfigParser()
-		if os.path.isfile(os.path.expanduser('~/.config/mirage/miragerc')):
-			conf.read(os.path.expanduser('~/.config/mirage/miragerc'))
+		if os.path.isfile(config_dir + '/miragerc'):
+			conf.read(config_dir + '/miragerc')
 		elif os.path.isfile(os.path.expanduser('~/.miragerc')):
 			conf.read(os.path.expanduser('~/.miragerc'))
 			os.remove(os.path.expanduser('~/.miragerc'))
@@ -297,8 +299,8 @@
 		self.curr_slideshow_random = self.slideshow_random
 
 		# Read accel_map file, if it exists
-		if os.path.isfile(os.path.expanduser('~/.config/mirage/accel_map')):
-			gtk.accel_map_load(os.path.expanduser('~/.config/mirage/accel_map'))
+		if os.path.isfile(config_dir + '/accel_map'):
+			gtk.accel_map_load(config_dir + '/accel_map')
 			
 		self.blank_image = gtk.gdk.pixbuf_new_from_file(self.find_path("mirage_blank.png"))
 
@@ -1465,15 +1467,12 @@
 		for i in range(len(self.recentfiles)):
 			conf.set('recent', 'num[' + str(i) + ']', len(self.recentfiles[i]))
 			conf.set('recent', 'urls[' + str(i) + ',0]', self.recentfiles[i])
-		if not os.path.exists(os.path.expanduser('~/.config/')):
-			os.mkdir(os.path.expanduser('~/.config/'))
-		if not os.path.exists(os.path.expanduser('~/.config/mirage/')):
-			os.mkdir(os.path.expanduser('~/.config/mirage/'))
-		conf.write(file(os.path.expanduser('~/.config/mirage/miragerc'), 'w'))
+		if not os.path.exists(config_dir):
+			os.makedirs(config_dir)
+		conf.write(file(config_dir + '/miragerc', 'w'))
 
 		# Also, save accel_map:
-		gtk.accel_map_save(os.path.expanduser('~/.config/mirage/accel_map'))
-
+		gtk.accel_map_save(config_dir + '/accel_map')
 		return
 
 	def delete_event(self, widget, event, data=None):
@@ -3892,6 +3891,7 @@
 				self.last_image_action_was_smart_fit = False
 			elif self.open_mode == self.open_mode_1to1 or (self.open_mode == self.open_mode_last and self.last_mode == self.open_mode_1to1):
 				self.last_image_action_was_fit = False
+			self.currimg_name = str(self.image_list[self.curr_img_in_list])
 		else:
 			# Need to load the current image
 			self.currimg_pixbuf = None

